/* ==========================
   MENU FULLPAGE CSS
========================== */


/*effect-underline*/
.effect-underline:after {
    content: '';
    position: absolute;
    left: 0;
    display: inline-block;
    height: 1em;
    width: 100%;
    border-bottom: 1px solid;
    margin-top: 10px;
    opacity: 0;
    -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
    transition: opacity 0.35s, transform 0.35s;
    -webkit-transform: scale(0,1);
    transform: scale(0,1);
}

a.effect-underline:hover:after {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}
.panel {
    position: fixed;
    left: -100%;
    /*left or right and the width of your navigation panel*/
    width: 100%;
    /*should match the above value*/
}

.menu-link i {
    text-decoration: none;
    font-size: 40px;
    color: #fff;
}

#menu {
    background: rgba(33, 33, 33, 0.9);
    z-index: 998;
}

#menu ul {
    margin-top: 150px;
}

#menu li {
    text-align: center;
    transition: all 0.4s ease;
    padding: 20px 0;
}

/* Animate Background Image */
@-webkit-keyframes aitf {
    0% {
        background-position: 0% 50%;
    }
    100% {
        background-position: 100% 50%;
    }
}

#menu li a {
    color: #fff;
    font-size: 43px;
    letter-spacing: 1px;
    text-decoration: none;
    text-transform: uppercase;
    padding: 10px 0;
    text-shadow: 0 0 80px rgba(255, 255, 255, 0.5);

}
#menu li i {
    color: #1f87c9;


}
.effect-hover{
    /* Clip Background Image */
    background: url(../images/animated_text_fill.png) repeat-y;
    -webkit-background-clip: text;
    background-clip: text;
    /* Animate Background Image */
    -webkit-text-fill-color: transparent;
    -webkit-animation: aitf 80s linear infinite;
    /* Activate hardware acceleration for smoother animations */
    -webkit-transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;
}

.effect-hover-r{
    /* Clip Background Image */
    background: url(../images/animated_text_fill_r.png) repeat-y;
    -webkit-background-clip: text;
    background-clip: text;
    /* Animate Background Image */
    -webkit-text-fill-color: transparent;
    -webkit-animation: aitf 100s linear infinite;
    /* Activate hardware acceleration for smoother animations */
    -webkit-transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;
}

#menu li a.active {
    color: #00cad4;
}

#menu li a:hover {
    color: #bdbbbb;
}

.menu-link {
    z-index: 999;
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    overflow: hidden;
    margin: 0;
    padding: 0;
    width: 80px;
    height: 80px;
    font-size: 0;
    text-indent: -9999px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    box-shadow: none;
    border-radius: none;
    border: none;
    cursor: pointer;
    -webkit-transition: background 0.3s;
    transition: background 0.3s;
    background-color: transparent;
}

.menu-link:focus {
    outline: none;
}

.menu-link span {
    display: block;
    position: absolute;
    top: 45px;
    left: 18px;
    right: 18px;
    height: 6px;
    border-radius: 2px;
    background: #1f87c9;
    -webkit-transition: background 0 0.3s;
    transition: background 0 0.3s;
}

.menu-link span::before,
.menu-link span::after {
    position: absolute;
    display: block;
    left: 0;
    width: 76%;
    height: 6px;
    border-radius: 2px;
    background-color: #e7e1e7;
    content: "";
    -webkit-transition-duration: 0.3s, 0.3s;
    transition-duration: 0.3s, 0.3s;
    -webkit-transition-delay: 0.3s, 0;
    transition-delay: 0.3s, 0;
}

.menu-link span::before {
    top: -15px;
    -webkit-transition-property: top, -webkit-transform;
    transition-property: top, transform;
}

.menu-link span::after {
    bottom: -15px;
    -webkit-transition-property: bottom, -webkit-transform;
    transition-property: bottom, transform;
}

/* active state, i.e. menu open */

.menu-open {
    background-color: transparent;
}

.menu-open span {
    background: none;
}

.menu-open span::before {
    top: 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.menu-open span::after {
    bottom: 0;
    -webkit-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.menu-open span::before,
.menu-open span::after {
    -webkit-transition-delay: 0, 0.5s;
    transition-delay: 0, 0.5s;
}

@media screen and (max-width: 1440px) {
    #menu ul {
        margin-top: 100px;
    }
}

@media screen and (max-width: 991px) {
    #menu li a {
        font-size: 20px;
    }
}

@media screen and (max-width: 800px) {
    #menu li {
        padding: 15px 0;
    }

    #menu ul {
        margin-top: 140px;
    }
}

@media screen and (max-width: 480px) {
    .menu-link {
        width: 70px;
    }

}